import request from '@/utils/request'

// 获取任务列表数据
export function getTaskLists(params) {
  return request({
    url: 'api/TaskManagement/getlist',
    method: 'get',
    params
  })
}
// 添加任务信息
export function addTask(params) {
  return request({
    url: 'api/TaskManagement/add',
    method: 'post',
    params
  })
}
// 编辑任务信息
export function editTask(params) {
  return request({
    url: 'api/TaskManagement/update',
    method: 'post',
    params
  })
}
// 获取任务详情
export function getTask(id) {
  return request({
    url: 'api/TaskManagement/getdetails',
    method: 'get',
    params:{
      id
    }
  })
}
// 任务管理操作
export function taskState(params) {
  return request({
    url: 'api/TaskManagement/operation',
    method: 'get',
    params
  })
}
// 删除任务信息
export function deleteTask(ids) {
  return request({
    url: 'api/TaskManagement/delete',
    method: 'post',
    data:{
      ids
    }
  })
}

// 获取任务人
export function getTaskmanData(params) {
  return request({
    url: 'api/useraccount/getlistdrop',
    method: 'get',
    params
  })
}